星期日, 7月 29, 2018

棄用 keepass2,改用 keepassxc

最近用 keepass2 時,碰到 plugin 不能用的錯誤訊息,更新 plugin 以後也無法解決。在找解決方法時,意外看到 keepassxc ,一樣是跨平台,再加上瀏覽器的整合也不錯,乾脆就跳槽了。
使用方法不難:
我先用網站提供的 PPA 來安裝,執行 keepassxc ,可以開啟 keepass2 的資料檔案,但設定上遇到問題。我碰到的問題是在 Preferences 裡找不到 Browser integration 這選項,利用 Google 搜索以後 (詳見 keepassxc FAQ這個 issue),才知道是因為 Ubuntu trusy 的 QT 版本問題,所以無法提供 Browser integration,得使用網站提供的 AppImage 檔案才行。
所以就下載 AppImage 檔案,用 chmod +x 為檔案增加執行權限再執行,就可以看見,並且 Browser 的 extension/addon 也可以順利的跟 keepassxc 連接。

沒有留言:

您或許對這些文章有興趣

Related Posts Plugin for WordPress, Blogger...